from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDocumentBuilder(XInterface, Protocol):
    def getDOMImplementation(self) -> XDOMImplementation: ...
    def isNamespaceAware(self) -> bool: ...
    def isValidating(self) -> bool: ...
    def newDocument(self) -> XDocument: ...
    def setEntityResolver(self, er: XEntityResolver) -> None: ...
    def setErrorHandler(self, eh: XErrorHandler) -> None: ...
